Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.text
Class TextExtractorContext

    java.lang.Object
      org.modeshape.jcr.ExecutionContext
          org.modeshape.jcr.text.TextExtractorContext

All Implemented Interfaces:
  Cloneable, ClassLoaderFactory, ThreadPoolFactory, TextExtractor.Context

    public class TextExtractorContext

extends ExecutionContext
implements TextExtractor.Context

A context for extracting the content.

Field Summary

Fields inherited from class org.modeshape.jcr.ExecutionContext
`DEFAULT_CONTEXT`

Constructor Summary
`TextExtractorContext(ExecutionContext context, String mimeType, Problems problems)`

Method Summary
`String` | `getMimeType()`
`Problems` | `getProblems()` Get an interface that can be used to record various problems, warnings, and errors that are not extreme enough to warrant throwing exceptions.
`TextExtractorContext` | `with(ClassLoaderFactory classLoaderFactory)` Create a new execution context that mirrors this context but that uses the supplied `class loader factory`.
`TextExtractorContext` | `with(Map<String,String> data)` Create a new execution context that mirrors this context but that contains the supplied data.
`TextExtractorContext` | `with(MimeTypeDetector mimeTypeDetector)` Create a new execution context that is the same as this context, but which uses the supplied `MIME type detector`.
`TextExtractorContext` | `with(NamespaceRegistry namespaceRegistry)` Create a new execution context that mirrors this context but that uses the supplied namespace registry.
`TextExtractorContext` | `with(SecurityContext securityContext)` Create an `ExecutionContext` that is the same as this context, but which uses the supplied `security context`.
`TextExtractorContext` | `with(String processId)` Create a new execution context that mirrors this context but that contains the supplied process identifier.
`TextExtractorContext` | `with(String key, String value)` Create a new execution context that mirrors this context but that contains the supplied key-value pair in the new context's data.

Methods inherited from class org.modeshape.jcr.ExecutionContext
`clone, getBinaryStore, getClassLoader, getClassLoaderFactory, getData, getId, getLogger, getLogger, getMimeTypeDetector, getNamespaceRegistry, getProcessId, getPropertyFactory, getSecurityContext, getThreadPool, getThreadPoolFactory, getValueFactories, initializeDefaultNamespaces, releaseThreadPool, toString, with, with, with`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextExtractorContext

    public TextExtractorContext(ExecutionContext context,
                                String mimeType,
                                Problems problems)

Method Detail

### getMimeType

    public String getMimeType()

  Specified by:
    `getMimeType` in interface `TextExtractor.Context`

### getProblems

    public Problems getProblems()

  Get an interface that can be used to record various problems, warnings, and errors that are not extreme enough to warrant throwing exceptions.

  Returns:
    the interface for recording problems; never null

### with

    public TextExtractorContext with(ClassLoaderFactory classLoaderFactory)

  Description copied from class: `ExecutionContext`
  Create a new execution context that mirrors this context but that uses the supplied `class loader factory`.

  Overrides:
    `with` in class `ExecutionContext`
  Parameters:
    `classLoaderFactory` - the new class loader factory implementation, or null if the default implementation should be used
  Returns:
    the execution context that is identical with this execution context, but which uses the supplied class loader factory implementation; never null

### with

    public TextExtractorContext with(Map<String,String> data)

  Description copied from class: `ExecutionContext`
  Create a new execution context that mirrors this context but that contains the supplied data. Note that the supplied map is always copied to ensure that it is immutable.

  Overrides:
    `with` in class `ExecutionContext`
  Parameters:
    `data` - the data that is to be affiliated with the resulting context or null if the resulting context should have no data
  Returns:
    the execution context that is identical with this execution context, but which uses the supplied data; never null

### with

    public TextExtractorContext with(MimeTypeDetector mimeTypeDetector)

  Description copied from class: `ExecutionContext`
  Create a new execution context that is the same as this context, but which uses the supplied `MIME type detector`.

  Overrides:
    `with` in class `ExecutionContext`
  Parameters:
    `mimeTypeDetector` - the new MIME type detector implementation, or null if the context should use a `MimeTypeDetectors` instance with an `ExtensionBasedMimeTypeDetector`
  Returns:
    the execution context that is identical with this execution context, but which uses the supplied detector implementation; never null

### with

    public TextExtractorContext with(NamespaceRegistry namespaceRegistry)

  Description copied from class: `ExecutionContext`
  Create a new execution context that mirrors this context but that uses the supplied namespace registry. The resulting context's `value factories` and `property factory` all make use of the new namespace registry.

  Overrides:
    `with` in class `ExecutionContext`
  Parameters:
    `namespaceRegistry` - the new namespace registry implementation, or null if the default implementation should be used
  Returns:
    the execution context that is identical with this execution context, but which uses the supplied registry; never null

### with

    public TextExtractorContext with(SecurityContext securityContext)

  Description copied from class: `ExecutionContext`
  Create an `ExecutionContext` that is the same as this context, but which uses the supplied `security context`.

  Overrides:
    `with` in class `ExecutionContext`
  Parameters:
    `securityContext` - the new security context to use; may be null
  Returns:
    the execution context that is identical with this execution context, but with a different security context; never null

### with

    public TextExtractorContext with(String key,
                                     String value)

  Description copied from class: `ExecutionContext`
  Create a new execution context that mirrors this context but that contains the supplied key-value pair in the new context's data.

  Overrides:
    `with` in class `ExecutionContext`
  Parameters:
    `key` - the key for the new data that is to be affiliated with the resulting context
    `value` - the data value to be affiliated with the supplied key in the resulting context, or null if an existing data affiliated with the key should be removed in the resulting context
  Returns:
    the execution context that is identical with this execution context, but which uses the supplied data; never null

### with

    public TextExtractorContext with(String processId)

  Description copied from class: `ExecutionContext`
  Create a new execution context that mirrors this context but that contains the supplied process identifier.

  Overrides:
    `with` in class `ExecutionContext`
  Parameters:
    `processId` - the identifier of the process
  Returns:
    the execution context that is identical with this execution context, but which uses the supplied process identifier; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.